Subject: Re: ROS vs traditional finishing sander?

From: [email-masked] (Peter Lemmond)
Date: 10 Feb 1997 14:25:55 GMT

Brian, Roth, 462-3453 hpby EE wrote:
> 
> Random Orbit Sanders seem to be very popular today.  How do they
> compare against the traditional 1/3 sheet finishing sander?  Do
> they replace, or complement?
> 
> Brian
> 

I find my ROS (a Bosch, can't recall the model number, maybe DVS-16??)
pretty aggressive. It's good when I need to remove a lot of material,
but must be really careful, especially starting and stopping. It is
easier to handle than a belt sander, though that's not saying much.

Have a small, 1/4 sheet Milwaukee finishing sander that I like for
sanding in the >200 grit range. Feels more like "hand-sanding" than the
ROS.

As usual, the answer: Buy Both!

-Peter